org.apache.sling.feature.modelconverter

## Class ProvisioningToFeature

- java.lang.Object
- - org.apache.sling.feature.modelconverter.ProvisioningToFeature

    public class ProvisioningToFeature
    extends Object

Converter that converts the provisioning model to the feature model.

### Constructor Summary

Constructors
Constructor and Description
`ProvisioningToFeature()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<File>` `convert(File file, File outDir, Map<String,Object> options)`
`static void` `convert(List<File> files, String outputFile, String runModes, boolean createApp, boolean includeModelInfo, String propsFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvisioningToFeature

    public ProvisioningToFeature()

### Method Detail

#### convert

    public static List<File> convert(File file,
                                     File outDir,
                                     Map<String,Object> options)

#### convert

    public static void convert(List<File> files,
                               String outputFile,
                               String runModes,
                               boolean createApp,
                               boolean includeModelInfo,
                               String propsFile)